Operações
Obter resultados de uma operação
Retorna resultados paginados de execução para uma operação dentro da organização autorizada.
GET
/
v2
/
organizations
/
{organization_id}
/
operations
/
{operation_id}
/
results
Obter resultados de uma operação
curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/operations/{operation_id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/operations/{operation_id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/operations/{operation_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/operations/{operation_id}/results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/operations/{operation_id}/results"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/operations/{operation_id}/results")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/operations/{operation_id}/results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "66b5f6d2f8d5a4d8a7f1c101",
"operation_id": "64f0c2a1b2d3e4f506070811",
"workspace_id": "66b5f6d2f8d5a4d8a7f1c301",
"organization_id": "507f1f77bcf86cd799439011",
"status": "completed",
"name": "ws-001",
"start_date": "2026-05-10T10:15:30Z",
"end_date": "2026-05-10T10:16:41Z",
"script_detail": "Script ejecutado correctamente",
"script_duration": 71,
"script_response": [
{
"timestamp": "2026-05-10T10:15:35.100Z",
"line": "Linea inicial\nDetalle multilinea"
},
{
"timestamp": "2026-05-10T10:15:37.100Z",
"line": "Segundo bloque OUT"
}
]
}
],
"has_next": true
}Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de caminho
Identificador da organização.
Required string length:
24Pattern:
^[0-9a-f]{24}$Identificador da operação.
Required string length:
24Pattern:
^[0-9a-f]{24}$Parâmetros de consulta
Página para consultar.
Intervalo obrigatório:
x >= 1Número de elementos por página.
Intervalo obrigatório:
1 <= x <= 100Lista separada por vírgulas com campos de resposta a serem incluídos.
Expressão de ordenação no formato :asc|desc. No modo agregado, só aceita campos de group_by ou aliases agregados (count, <function>_<field>).
Pattern:
^([a-z_]+):(asc|desc)$Expressão JSON para agregação. Estrutura: {"group_by":["field"],"aggregates":[{"field":"*","function":"count"}]}. Não pode ser combinado com fields.
Maximum string length:
1024Expressão JSON de filtros sobre campos permitidos.
⌘I
Obter resultados de uma operação
curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/operations/{operation_id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/operations/{operation_id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/operations/{operation_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/operations/{operation_id}/results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/operations/{operation_id}/results"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/operations/{operation_id}/results")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/operations/{operation_id}/results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "66b5f6d2f8d5a4d8a7f1c101",
"operation_id": "64f0c2a1b2d3e4f506070811",
"workspace_id": "66b5f6d2f8d5a4d8a7f1c301",
"organization_id": "507f1f77bcf86cd799439011",
"status": "completed",
"name": "ws-001",
"start_date": "2026-05-10T10:15:30Z",
"end_date": "2026-05-10T10:16:41Z",
"script_detail": "Script ejecutado correctamente",
"script_duration": 71,
"script_response": [
{
"timestamp": "2026-05-10T10:15:35.100Z",
"line": "Linea inicial\nDetalle multilinea"
},
{
"timestamp": "2026-05-10T10:15:37.100Z",
"line": "Segundo bloque OUT"
}
]
}
],
"has_next": true
}